Subject: Re: request_8xxirq

From: Tiago Dall'Agnol <[email-masked]>
Date: Fri, 29 Jul 2005 10:52:33 -0300

Thank you Alex.

But in my linux, this is different.
What I have in that file is just

extern int request_8xxirq(unsigned int irq,
               void (*handler)(int, void *, struct pt_regs *),
               unsigned long flags,
               const char *device,
               void *dev_id);

And the request_8xxirq is declared as a

EXPORT_SYMBOL(request_8xxirq);

in arch/ppc/kernel/ppc_ksyms.c.

I already tried to find out where the code that implements the function 
is located, but it seems that it doesn't exist in my distribuction. 
Maybe is it a "binary version"?

Any other information will be apreciated ;-)

Best Regards,
Tiago

Alex Zeffertt wrote:

>In linux-2.4 it's in 
>
>	include/asm-ppc/mpc8xx.h
>
>-- snip --
>#define request_8xxirq request_irq
>--/snip --
>
>And request_irq is in arch/ppc/kernel/irq.c
>
>Alex
>
>On Fri, 29 Jul 2005 10:07:58 -0300
>"Tiago Dall'Agnol" <[email-masked]> wrote:
>
>  
>
>>Hi,
>>
>>I had some problems with irq in my embedded system. I'm interested in 
>>this function source code, but I didn't find it in my linux distribuction?
>>
>>Does anyone know where I can find it?
>>
>>Thanks a lot
>>Tiago
>>
>>Manish Joshi wrote:
>>
>>    
>>
>>>Hi,
>>> 
>>>I am working on an old code which uses  request_8xxirq() call which I 
>>>can't find in latest kernel.
>>>Has this been replaced by something else ?
>>> 
>>>I see the references on net about replacing request_8xxirq()  with 
>>>request_irq(). Can I do it ?
>>> 
>>>TIA,
>>>Manish
>>> 
>>>
>>>------------------------------------------------------------------------
>>>Start your day with Yahoo! - make it your home page 
>>><http://us.rd.yahoo.com/evt=34442/*http://www.yahoo.com/r/hs>
>>>
>>>------------------------------------------------------------------------
>>>
>>>_______________________________________________
>>>Linuxppc-embedded mailing list
>>>[email-masked]
>>>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>>
>>>      
>>>
>>-- 
>>Tiago Dall'Agnol
>>Pesquisa e Desenvolvimento
>>Tel.: +55.51.470.05.64
>>Fax.: +55.51.470.05.70
>>e-mail: [email-masked]
>>www.parks.com.br
>>
>>_______________________________________________
>>Linuxppc-embedded mailing list
>>[email-masked]
>>https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>    
>>
>
>  
>

--